fan_ctrl(8)

NAME
fan_ctrl - control fan on rev 5 NetWinders

SYNOPSIS
/sbin/fan_ctrl [on|off|start]

DESCRIPTION
This utility can be used to enable/disable the fan on a Revision 5 NetWinder (previous models lack the necessary hardware support). Turning the fan off for extended periods of time may cause the NetWinder to overheat and is therefore not recommended. If you wish to operate "silently" with the fan off, it is suggested that the watchdog timer (see start_wdog(8)) be modified to monitor the temperature and restart the fan as necessary. This utility merely controls the fan ON/OFF hardware bit; the speed of the fan is controlled by the set_therm(8) utility.

OPTIONS

on  Enable fan control (Turns the fan ON).

off Disable fan control (Turns the fan OFF).

start
    Enables fan control, and briefly sets the fan to HI speed, then restores the original thermostate setting. This is intended for use in the initialization script /etc/rc.d/rc.sysinit to ensure that the fan is started during booting. Some fans will not start if they power up in LO speed, hence this command.

FILES

/sbin/fan_ctrl
    Binary executable.

/man/man8/fan_ctrl.8
    Manual page.

SEE ALSO
set_therm(8), start_wdog(8)

DIAGNOSTICS
<Not yet written>

AUTHOR
The program is written by Woody Suwalski <woody@corelcomputer.com>, and the man page was written by Ralph Siemsen <ralphs@corelcomputer.com>. Both are distributed under the terms of the GPL.